<template>
  <div class="userBlock">
    <el-row :gutter="40">
      <el-col :sm="{span:9}" class="borderRight">
        <p>{{ item.name }}</p>
        <p class="infoText"><span class="preBold">id</span> {{ item.id }}</p>
        <p class="infoText"><img src="@/assets/clients/date.svg" class="icon-image" alt="">{{ item.id }}</p>
        <div class="break"></div>
        <p class="typeText">Фондовый рынок ММВБ</p>
        <p class="typeText">Брокерский</p>
        <p class="typeText">WEB QUIK</p>
      </el-col>
      <el-col :sm="{span:4}">
        <p class="head">Создан</p>
        <p><img src="@/assets/clients/date.svg" class="icon-image" alt=""> {{ item.created_date }}</p>
        <p><img src="@/assets/clients/edited.svg" class="icon-image" alt=""> {{ item.updated_date }}</p>
        <p><img src="@/assets/agreements/flag.svg" class="icon-image" alt=""> {{ item.updated_date }}</p>
      </el-col>
      <el-col :sm="{span:7}">
        <p class="head">Стороны договора</p>
        <p><span class="preBold">1</span> Демидов Антон Владимирович</p>
        <p><span class="preBold">2</span> Лебедев Григорий Аркадьевич</p>
        <p><span class="preBold">3</span> ООО Свежая Капуста Менеджмент</p>
      </el-col>
      <el-col :sm="{span:4}" class="text-right">
        <el-dropdown trigger="click" @command="handleCommand">
        <span class="el-dropdown-link">
          <img src="@/assets/clients/edit.svg" alt="">
        </span>
          <template #dropdown>
            <el-dropdown-menu>
              <el-dropdown-item command="open"><span>Подробная информация</span> <img src="@/assets/agreements/icon1.svg" class="icon-image" alt=""></el-dropdown-item>
              <el-dropdown-item command="docs"><span>Перечень операций</span> <img src="@/assets/clients/docs.svg" class="icon-image" alt=""></el-dropdown-item>
              <el-dropdown-item command="delete"><span>Удалить</span> <img src="@/assets/clients/trash.svg" class="icon-image" alt=""></el-dropdown-item>
            </el-dropdown-menu>
          </template>
        </el-dropdown>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  props:{
    item: [Object, Array]
  },
  data:()=>({
    loading: false
  }),
  methods:{
    handleCommand(command){
      switch (command) {
        case "open":
          this.$router.push({name:'AgreementInPage',params:{id: 1}});
          break;
        case "docs":
          console.log("docs");
          break;
        case "delete":
          console.log("delete");
          break;
      }
    }
  }
}
</script>